# Makefile for Libraries for QCD programs
#
# Library routines involve no communication, so are compiled
# as for a scalar processor.

# The specialized Makefiles are for processors for which we
# have some assembly coded substitutes.
#
# This Makefile builds the purely C coded versions and should work
# for all architectures with a suitable choice of CFLAGS and 
# MPI_CC. 

# The FAST option uses "fast" variants of the code, where available, and is 
# recommended.  The fast variants are C-coded with explicit loop unrolling
# and inlining.

include ../Makefile.defs

CFLAGS += -DFAST

#CFLAGS += -DFAST                         #gnu c compiler
#CFLAGS +=  -O  -DFAST -float	          #Dec alpha compiler
#CFLAGS += -O -f -DFAST 		  #Mips
#CFLAGS += -O3 -DFAST -DNATIVEDOUBLE	  #IBM RS6000 (optimized)
#CFLAGS += -g -Wall -DFAST -DNATIVEDOUBLE #IBM RS6000 (debug/profile)
#CFLAGS += -DSGI -O3 -mips4 -64 -OPT:IEEE_arithmetic=3:roundoff=3:alias=restrict -TENV:X=1 -DFAST -DNATIVEDOUBLE       # SGI Origin 2000 (from UCSB)
#CFLAGS +=  -O3 -mips4 -r10000 -OPT:IEEE_arithmetic=3:roundoff=3:alias=restrict -TENV:X=1 -DFAST -DNATIVEDOUBLE       #NCSA SGI PC (untested for MILC version 5)
#CFLAGS += -O5 -dalign -libmil -fsimple=2 -fns   #SUN Ultra
#CFLAGS += -O  -DFAST -float sp_ops -float sp_const -noautopar 	#Convex Exemplar (untested for MILC version 5)

include Make_template
